import React from 'react'
import { Group } from 'three'
import * as THREE from 'three'

interface MarkerProps {
    position: [number, number, number],
    color: string,
    onClick?: () => void
}

export default function Marker({ position, color, onClick }: MarkerProps) {

    

    // Return the marker object
    // return <primitive object={marker}  />
    return (
        <mesh position={position} rotation={[Math.PI, 0, 0]} onClick={onClick}>
            <coneGeometry args={[0.15, 0.6, 6]} />
            <meshStandardMaterial color={color} side={THREE.DoubleSide} />
        </mesh>
    )
}
